[med-svn] r22188 - in trunk/packages/rostlab/profisis/trunk/debian: . tests

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Thu Jun 23 14:42:51 UTC 2016


Author: latticetower-guest
Date: 2016-06-23 14:42:50 +0000 (Thu, 23 Jun 2016)
New Revision: 22188

Added:
   trunk/packages/rostlab/profisis/trunk/debian/tests/
   trunk/packages/rostlab/profisis/trunk/debian/tests/control
   trunk/packages/rostlab/profisis/trunk/debian/tests/installation-test
Modified:
   trunk/packages/rostlab/profisis/trunk/debian/changelog
Log:
add simple testsuite

Modified: trunk/packages/rostlab/profisis/trunk/debian/changelog
===================================================================
--- trunk/packages/rostlab/profisis/trunk/debian/changelog	2016-06-23 14:32:49 UTC (rev 22187)
+++ trunk/packages/rostlab/profisis/trunk/debian/changelog	2016-06-23 14:42:50 UTC (rev 22188)
@@ -2,6 +2,8 @@
 
   * Team upload.
   * cme fix dpkg-control
+  * add simple testsuite (for now without readme.test and with `allow-stderr`
+    restiction)
 
  -- Tatiana Malygina <merlettaia at gmail.com>  Thu, 23 Jun 2016 17:31:25 +0300
 
@@ -66,4 +68,3 @@
   * Initial packaged version
 
  -- Laszlo Kajan <lkajan at rostlab.org>  Sat, 24 Apr 2010 20:30:53 +0200
-

Added: trunk/packages/rostlab/profisis/trunk/debian/tests/control
===================================================================
--- trunk/packages/rostlab/profisis/trunk/debian/tests/control	                        (rev 0)
+++ trunk/packages/rostlab/profisis/trunk/debian/tests/control	2016-06-23 14:42:50 UTC (rev 22188)
@@ -0,0 +1,3 @@
+Tests: installation-test
+Depends: @
+Restrictions: allow-stderr

Added: trunk/packages/rostlab/profisis/trunk/debian/tests/installation-test
===================================================================
--- trunk/packages/rostlab/profisis/trunk/debian/tests/installation-test	                        (rev 0)
+++ trunk/packages/rostlab/profisis/trunk/debian/tests/installation-test	2016-06-23 14:42:50 UTC (rev 22188)
@@ -0,0 +1,23 @@
+#!/bin/sh
+# autopkgtest check: build and run example from man page
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=profisis
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+profisis --fastafile 3A1P_A.fasta --hsspfile 3A1P_A.hssp --rdbproffile 3A1P_A.rdbProf --outfile 3A1P_A.profisis




More information about the debian-med-commit mailing list